This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 298991

Summary: knetworkmanager doesn't work with NM 0.7 svn snap
Product: [Fedora] Fedora Reporter: Jeremy Katz <katzj>
Component: knetworkmanagerAssignee: Dennis Gilmore <dennis>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: bugs+fedora, davidf, dcantrell, dcbw, dgunchev, exdeath, fedora, gbcox, jhrozek, kevin, mbroz, mmcgrath, piskozub, prigault, rdieter, roland.wolters, sergio, tuju
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-03-14 22:37:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705    

Description Jeremy Katz 2007-09-20 15:07:57 EDT
With the NM 0.7 snap in rawhide now, knetworkmanager no longer works.  This
breaks the KDE Live image.
Comment 1 Jeremy Katz 2007-09-20 15:09:14 EDT
*** Bug 298981 has been marked as a duplicate of this bug. ***
Comment 2 Rex Dieter 2007-09-20 15:31:16 EDT
icky-poo, abi/api changes I assume?
Comment 3 Jeremy Katz 2007-09-20 15:44:34 EDT
Substantially so
Comment 4 Dennis Gilmore 2007-09-21 01:24:11 EDT
Im on vacation right now and have very limited net access.  I will try and 
dedicate some time to work on it.  but dont let me hold anyone else back from 
working on it.
Comment 5 Roland Wolters 2007-09-21 09:33:30 EDT
I'm going to publish a more recent snapshot next days, I just wait for a bug 
report from KDE bugzilla about a possible regression.
I will also try to contact the maintainer of knetworkmanager if he has any 
idea about that topic.
Comment 6 Rex Dieter 2007-09-21 09:50:23 EDT
fwiw, svn checkout as of today still doesn't support nm-0.7, filed RFE 
upstream:
upstream: http://bugs.kde.org/show_bug.cgi?id=150064
Comment 7 Dan Williams 2007-09-21 10:19:56 EDT
Helmut Schaa has put some work into this so far, he's posted questions on the NM
lists about 0.7 bits and appears to have some of it working. However, I can't
find any of those bits in SVN anywhere...
Comment 8 Kevin Kofler 2007-09-29 03:45:46 EDT
FYI, Helmut Schaa has uploaded an NM 0.7 branch of knetworkmanager now:
http://mail.gnome.org/archives/networkmanager-list/2007-September/msg00145.html
http://websvn.kde.org/branches/work/knetworkmanager/
Any chance this can be imported soon? Can we get this into test3 or is that 
already frozen solid?
Comment 9 Roland Wolters 2007-09-29 10:14:46 EDT
Well, knetworkmanager is effectively broken in its current state - at least we 
should remove it.
The new version should be pushed to the repositories at least shortly after 
the release, in best case also for test 3. Can someone ask FESCO?
Comment 10 Dennis Gilmore 2007-09-29 10:24:15 EDT
im working on getting the latest snapshot built that will work with 0.7   how 
well it will work is not yet known.   But right now i am not going to 
recommend that we pull knetworkmanager.

As someone on FESCo i would vote against pulling.  It should not take too much 
work to have it working.  hopefully before the end of the weekend we will have 
basic functionality restored.
Comment 11 Kevin Kofler 2007-09-29 10:27:06 EDT
FESCo is not the right group to ask to get this into test3 (nor to get it 
pulled, which I think is silly, we should get it fixed instead), Release 
Engineering is.
Comment 12 Kevin Kofler 2007-09-30 17:48:13 EDT
Ping? So what's the status here?
* Was the definitive test3 cutoff already missed? Or is there still a way to 
get this into test3?
* Dennis Gilmore, how's your work going? I'm not seeing anything in CVS. Does 
it fail to build?
Comment 13 Dennis Gilmore 2007-09-30 18:06:29 EDT
It is currently failing to find some libraries that are installed in the build 
root. 

If it misses Test3  it will be available shortly after.  
Currently knetworkmanager is likely to only work with wired networks.
Comment 14 Kevin Kofler 2007-09-30 18:13:38 EDT
> If it misses Test3  it will be available shortly after.

That won't be of much help for the test3 KDE-Live spin though. :-( But I guess 
that's life.
Comment 15 Jeremy Katz 2007-09-30 20:43:58 EDT
(In reply to comment #12)
> * Was the definitive test3 cutoff already missed? Or is there still a way to 
> get this into test3?

We're hoping to build the final test3 trees tomorrow.  BUT, the live images are
smaller and so we can probably stretch out the time for them until Tuesday if it
helps.  

Dennis -- if you want some helping poking at it, let me know and I can prod it
later tonight/tomorrow.
Comment 16 Jeremy Katz 2007-10-01 13:50:59 EDT
This doesn't look like it's in great shape after some looking...  I wonder if
we're going to be better off running the gnome nm-applet for test3, if not F8 in
general :-/
Comment 17 Rex Dieter 2007-10-01 14:35:45 EDT
yeah, I was starting to think the same thing... (gasp, using nm-applet)
Comment 18 Jeremy Katz 2007-10-01 14:47:51 EDT
So we'll need to add NetworkManager-gnome to the kde package list and then also
set things up so that nm-applet gets auto-started, as well as gnome-keyring. 

For the purposes of test3, we should be able to do both of these just in the
%post for the live config I think.  I can try to take a look in a little bit if
someone doesn't beat me to it.
Comment 19 Sebastian Vahl 2007-10-02 07:19:30 EDT
(In reply to comment #18)
> For the purposes of test3, we should be able to do both of these just in the
> %post for the live config I think.  I can try to take a look in a little bit if
> someone doesn't beat me to it.

For nm-applet it could go this was (without the wrap):


%packages
# ignore comps.xml and make sure these packages are included
#knetworkmanager

# include it nm-applet as a workaround for #298991
NetworkManager-Gnome
gnome-keyring-daemon
-knetworkmanager

%post

# adding some autostarted applications
#cp /usr/share/applications/fedora-knetworkmanager.desktop /usr/share/autostart/
cp /usr/share/gnome/autostart/nm-applet.desktop /usr/share/autostart/
sed -i 's/OnlyShowIn=GNOME;XFCE;/OnlyShowIn=GNOME;XFCE;KDE;/'
/usr/share/autostart/nm-applet.desktop



I'm not sure how to start gnome-keyring-daemon.
Comment 20 Sebastian Vahl 2007-10-02 07:21:52 EDT
(In reply to comment #19)
> NetworkManager-Gnome
> gnome-keyring-daemon

Sry. These are the right package names:
NetworkManager-gnome
gnome-keyring
Comment 21 Jeremy Katz 2007-10-02 10:27:06 EDT
Test compose going that should add the keyring bits also based on some googling.
 Relevant excerpt

+# and set up gnome-keyring to startup/shutdown in kde
+mkdir -p /etc/skel/.kde/env /etc/skel/.kde/shutdown
+cat > /etc/skel/.kde/env/start-custom.sh << EOF
+#!/bin/sh
+eval `gnome-keyring-daemon`
+export GNOME_KEYRING_PID
+export GNOME_KEYRING_SOCKET
+EOF
+chmod 755 /etc/skel/.kde/env/start-custom.sh
+
+cat > /etc/skel/.kde/shutdown/stop-custom.sh << EOF
+#/bin/sh
+if [-n "$GNOME_KEYRING_PID"];then
+kill $GNOME_KEYRING_PID
+fi
+EOF
+chmod 755 /etc/skel/.kde/shutdown/stop-custom.sh
Comment 22 Dennis Gilmore 2007-10-12 18:21:47 EDT
*** Bug 330201 has been marked as a duplicate of this bug. ***
Comment 23 FranciscoMendon├ža 2007-10-13 07:24:46 EDT
*** Bug 330571 has been marked as a duplicate of this bug. ***
Comment 24 Dennis Gilmore 2007-10-17 14:43:27 EDT
My plan for knetworkmanage initially is to write a wrapper script that will 
call nm-applet  and have knetworkmanager Requires the NetworkManager bits.  
this way when knetworkmanager is ported and useable with the new api  we can 
push out an update that will return knetworkmanage to the distro.

Does this make sense to all?

It will most likely require mention in the release notes.

 
Comment 25 Doncho N. Gunchev 2007-10-20 17:56:02 EDT
(In reply to comment #24)
> My plan for knetworkmanage initially is to write a wrapper script that will 
> call nm-applet  and have knetworkmanager Requires the NetworkManager bits.  
> this way when knetworkmanager is ported and useable with the new api  we can 
> push out an update that will return knetworkmanage to the distro.
> 
> Does this make sense to all?

I think so. Fake knetworkmanager and working network is better than real not 
working knetworkmanager :-)

> It will most likely require mention in the release notes.

Sure, will save some questions and complaints :-)
Comment 26 Jesse Keating 2007-10-20 19:08:58 EDT
(In reply to comment #24)
> My plan for knetworkmanage initially is to write a wrapper script that will 
> call nm-applet  and have knetworkmanager Requires the NetworkManager bits.  
> this way when knetworkmanager is ported and useable with the new api  we can 
> push out an update that will return knetworkmanage to the distro.
> 
> Does this make sense to all?
> 
> It will most likely require mention in the release notes.
> 
>  

Better do it quickly.  I hope to have the golden package set by mid next week.
Comment 27 Sebastian Vahl 2007-10-23 07:10:44 EDT
(In reply to comment #24)
> My plan for knetworkmanage initially is to write a wrapper script that will 
> call nm-applet  and have knetworkmanager Requires the NetworkManager bits.  
> this way when knetworkmanager is ported and useable with the new api  we can 
> push out an update that will return knetworkmanage to the distro.
> 
> Does this make sense to all?
> 
> It will most likely require mention in the release notes.

If your're doing so: Should we re-include knetworkmanager on the kde live 
images? (the package is removed for now).
Comment 28 Kevin Kofler 2007-10-23 08:17:24 EDT
The wrapper package is in Rawhide now.

And yes, the idea is that you include the fake knetworkmanager package in the 
live CD so it can be updated to the real one once it works (see Dennis's 
comment #24).
Comment 29 Sebastian Vahl 2007-10-23 08:33:30 EDT
(In reply to comment #28)
> The wrapper package is in Rawhide now.

The current package (knetworkmanager-0.2-0.5.svn20071022.fc8) is missing 
entries in /etc/skel/.kde/env/start-custom.sh 
and /etc/skel/.kde/shutdown/stop-custom.sh
Is this corrected, yet?

And just to get sure: The tag "f8-final" in koji means that it will be 
available in the official release (and so I can include it on the live 
images)? (Sorry for the question)

> And yes, the idea is that you include the fake knetworkmanager package in 
the 
> live CD so it can be updated to the real one once it works (see Dennis's 
> comment #24).

Ok. Just want to get sure about this.
Comment 30 Kevin Kofler 2007-10-23 10:24:06 EDT
> And just to get sure: The tag "f8-final" in koji means that it will be 
> available in the official release (and so I can include it on the live 
> images)? (Sorry for the question)

Yes.
Comment 31 Rex Dieter 2007-10-24 11:19:12 EDT
removing nm07tracker block, as this isn't considered a blocker anymore
Comment 32 Sergio Monteiro Basto 2007-11-12 15:43:10 EST
> I think so. Fake knetworkmanager and working network is better than real not 
> working knetworkmanager :-)
> 

I think you should downgrade the nm to one on knetworkmanager works 

btw with this nm wireless stops works.

Because knetworkmanager rocks , and  nm-applet is a great **** **** on kde 
Comment 33 Paul 2007-11-16 01:29:40 EST
i can connect to everyone's network except my own thanks to this bug.
Comment 34 Roland Wolters 2007-11-16 05:03:43 EST
Paul: unlikely. knetworkmanager is only a frontend to NM and should not 
disturb the ability of NM in any kind. If you have a problem with NM, please 
fill a bug report against it.
Comment 35 Rex Dieter 2007-12-18 19:59:01 EST
*** Bug 426177 has been marked as a duplicate of this bug. ***
Comment 36 Kevin Kofler 2008-01-19 11:30:39 EST
OpenSUSE is now shipping this in Factory:
http://download.opensuse.org/distribution/SL-OSS-factory/inst-source/suse/src/NetworkManager-kde-0.7r759902-5.src.rpm
I think we should really be able to get this into Rawhide at least!

We'll need the new DBus Qt 3 bindings (backported from the Qt 4 ones) though, 
i.e. these:
http://download.opensuse.org/distribution/SL-OSS-factory/inst-source/suse/src/libdbus-1-qt3-0-0.8-11.src.rpm
Our dbus-qt bindings are the old version, so we need a new package with the new 
bindings. (The 2 bindings should be able to coexist, OpenSUSE is shipping them 
both.)
Comment 37 Gerald Cox 2008-02-25 15:15:15 EST
Created 434834 for F9.
Comment 38 Rex Dieter 2008-02-25 20:12:33 EST
*** Bug 434877 has been marked as a duplicate of this bug. ***
Comment 39 Chris 2008-03-11 07:41:42 EDT
Hi

Just to add.
I got the following when I try to run knetworkmanger out of the terminal. I also
had a hard time starting the networkmander and NetworkManagerDispatcher. 
This is my error
[$$%%#$@localhost ~]$ knetworkmanager

** (nm-applet:5146): WARNING **: <WARN>  applet_dbus_manager_start_service():
Could not acquire the NetworkManagerUserSettings service as it is already taken.
 Return: 3


(nm-applet:5146): GLib-CRITICAL **: g_hash_table_destroy: assertion `hash_table
!= NULL' failed

(nm-applet:5146): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(nm-applet:5146): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

If this helps..
Chris
Comment 40 Dennis Gilmore 2008-03-11 10:57:39 EDT
That means that your trying to start the gnome NetworkManager applet when it
is already running. knetworkmanager is still just a script that calls nm-is already running. knetworkmanager is still just a script that calls nm-applet
Comment 41 Chris 2008-03-11 11:04:13 EDT
Ok so if I stop the networkmanager and NetworkManagerDispatcher then run
knetworkmanager it should start the service?
Sorry it use to bring up a windows in 3.5 so I don't know if that changed. 
Cause when my service was not started it did the same thing..
Chris
Comment 42 Rex Dieter 2008-03-11 11:07:18 EDT
No, knetworkmanager isn't in rawhide *at all* atm.

Reminds me, I was going to try to get that tagged/building again to see if we
could get it into f9-beta for wider testing.  (Then I got sick last week, ugh).
Comment 43 Chris 2008-03-11 11:11:17 EDT
o ok. so the one I got from the list does not work.. makes more sens to me.. 
I hope you feel better now. 
I was hoping to see if I can get this 3g, mobile internet tested. but don;t know
where to start or how to get it going.. ;)
Chris
Comment 44 Rex Dieter 2008-03-14 22:36:34 EDT
fyi, we've EOL'd/dead.package'd knetworkmanager until upstream makes a release
that resembles something usable.
Comment 45 Rex Dieter 2008-03-14 22:37:40 EDT
Closing->Upstream (will continue to track there)